<?php
/**
 * @package linea21.core
 * @subpackage user
 * @author linea21 <info@linea21.com>
 * @version $id SVN
 * @access public
 * @license http://opensource.org/licenses/gpl-3.0.html
 */

//////////// Check Inclusion de pages ////////////
if (!function_exists('AuthenthificationProcess')) {
    include_once("../lib/lib_common.php");
    ReloadIndex('admin');
} 
////////////

//////////// Check Droits utilisateur ////////////
if (!IsSuperAdmin()) ReloadIndex('admin');
////////////

$qbx_module = $GLOBALS['lang']['menu']['user'];

if ($todo == 'add') {
    $result = $sql_object->DBSelect($req_quickbox_add);
    $qbx_liste = '';
    $nb = '';
    if ($result == 0) {
        $qbx_liste .= "<li>" . $GLOBALS['lang']['divers']['nodata'] . "</li>";
    } else {
        if (count($result) >= 10) $nb = 10;
        else $nb = count($result);
        for($i = 0; $i < count($result); $i++) {
            $qbx_user_login = formatText(cutText($result[$i]['user_login'], 50), '2HTML');
            $qbx_liste .= "<li><a href=\"index.php?id=" . $result[$i]['user_id'] . "&amp;rub=" . $rub . "&amp;todo=det\" title=\"" . $GLOBALS['lang']['divers']['last_modify'] . " " . $result[$i]['user_last_modify_display'] . " - (" . $GLOBALS['lang']['divers']['date_crea'] . ": " . $result[$i]['user_date_crea_display'] . ") \">" . $qbx_user_login . "</a></li>\n";
        } 
    } 
    $qbx_h1 = $nb . $GLOBALS['lang']['user']['qb_titleadd'];
} 

if ($todo == 'mod' || $todo == 'list' || $todo == 'det') {
    $result = $sql_object->DBSelect($req_quickbox_list);
    $qbx_liste = '';
    $nb = '';
    if ($result == 0) {
        $qbx_liste .= "<li>" . $GLOBALS['lang']['divers']['nodata'] . "</li>";
    } else {
        if (count($result) >= 10) $nb = 10;
        else $nb = count($result);
        for($i = 0; $i < count($result); $i++) {
            $qbx_user_login = formatText(cutText($result[$i]['user_login'], 50), '2HTML');
            $qbx_liste .= "<li><a href=\"index.php?id=" . $result[$i]['user_id'] . "&amp;rub=" . $rub . "&amp;todo=det\" title=\"" . $GLOBALS['lang']['divers']['last_modify'] . " " . $result[$i]['user_last_modify_display'] . " - (" . $GLOBALS['lang']['divers']['date_crea'] . ": " . $result[$i]['user_date_crea_display'] . ") \">" . $qbx_user_login . "</a></li>\n";
        } 
    } 
    $qbx_h1 = $nb . $GLOBALS['lang']['user']['qb_titlemod'];
} 

if ($todo == 'sup') {
    $result = $sql_object->DBSelect($req_quickbox_sup);
    $qbx_liste = '';
    $nb = '';
    if ($result == 0) {
        $qbx_liste .= "<li>" . $GLOBALS['lang']['divers']['nodata'] . "</li>";
    } else {
        if (count($result) >= 10) $nb = 10;
        else $nb = count($result);
        for($i = 0; $i < count($result); $i++) {
            $qbx_user_login = formatText(cutText($result[$i]['user_login'], 50), '2HTML');
            $qbx_liste .= "<li><a href=\"#\" title=\"" . $GLOBALS['lang']['divers']['date_sup'] . " " . $result[$i]['user_last_modify_display'] . " - (" . $GLOBALS['lang']['divers']['date_crea'] . ": " . $result[$i]['user_date_crea_display'] . ") \">" . $qbx_user_login . "</a></li>\n";
        } 
    } 
    $qbx_h1 = $nb . $GLOBALS['lang']['user']['qb_titlesup'];
} 

echo QuickBoxNow($qbx_module, $qbx_h1, $qbx_liste);
echo "</div>\n";

?>


